> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Portfolio

> Get the portfolio of an address.



## OpenAPI

````yaml /reference/api-json.json get /token/portfolio
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /token/portfolio:
    get:
      tags:
        - Token
      summary: Get Address Portfolio
      description: Get the portfolio of an address.
      operationId: TokenPortfolio
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            enum:
              - 1
              - 10
              - 100
              - 10143
              - 10200
              - 11011
              - 11124
              - 11155111
              - 11155420
              - 11297108109
              - 1135
              - 1284
              - 1285
              - 130
              - 1301
              - 137
              - 143
              - 168587773
              - 1868
              - 1946
              - 196
              - 2020
              - 2021
              - 25
              - 250
              - 2741
              - 30
              - 300
              - 31
              - 324
              - 33111
              - 33139
              - 360
              - 369
              - 37111
              - 4002
              - 4202
              - 42161
              - 421614
              - 42220
              - 43113
              - 43114
              - 480
              - 4801
              - 534351
              - 534352
              - 5371
              - 5373
              - 545
              - 56
              - 57073
              - 59141
              - 59144
              - 747
              - 763373
              - 7777777
              - 80002
              - 80094
              - 81457
              - 8453
              - 84532
              - 88882
              - 88888
              - 97
              - 999999999
              - celestia
              - kusama
              - solana
              - solana-devnet
              - stellar
              - stellar-soroban
              - stellar-testnet
              - sui
            type: string
        - name: walletAddress
          required: true
          in: query
          description: The address of the wallet to query.
          schema:
            default: '0x8D97689C9818892B700e27F316cc3E41e17fBeb9'
            example: '0x8D97689C9818892B700e27F316cc3E41e17fBeb9'
            type: string
        - name: includePrice
          required: false
          in: query
          description: >-
            When set to true it will return the USD value of the specified
            token.
          schema: {}
        - name: includeMetadata
          required: false
          in: query
          description: >-
            When set to true it will return the token metadata along with the
            balance.
          schema: {}
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - Alchemy
              - Moralis
              - BlockDaemon
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenPortfolioResponse'
components:
  schemas:
    TokenPortfolioResponse:
      type: object
      properties:
        fungibles:
          type: array
          items:
            $ref: '#/components/schemas/WalletTokenBalanceResponseItem'
        native:
          $ref: '#/components/schemas/TokenNativeResponseItem'
        nfts:
          type: array
          items:
            $ref: '#/components/schemas/WalletNFTBalanceResponseItem'
        cursor:
          type: string
          example: >-
            ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ==
      required:
        - fungibles
        - native
        - nfts
        - cursor
    WalletTokenBalanceResponseItem:
      type: object
      properties:
        contractAddress:
          type: string
          example: '0xdAC17F958D2ee523a2206206994597C13D831ec7'
          description: The contract address of the token or the mint of the Solana token.
        balance:
          type: string
          example: '199999999999'
        formattedBalance:
          type: string
          example: '19.9999999999'
          description: The formatted balance of the token.
        name:
          type: object
          example: Ethereum
        symbol:
          type: object
          example: ETH
        logo:
          type: object
          example: https://assets.coingecko.com/coins/images/279/large/ethereum.png
        decimals:
          type: object
          example: '18'
        associatedTokenAddress:
          type: string
          example: EkSPbKodUFbYmsX5LuvfnSoRAozZ3kxT9wy71pf6eL2d
      required:
        - contractAddress
        - balance
        - formattedBalance
        - name
        - symbol
        - logo
        - decimals
    TokenNativeResponseItem:
      type: object
      properties:
        contractAddress:
          type: string
          example: '0xdAC17F958D2ee523a2206206994597C13D831ec7'
        balance:
          type: string
          example: '199999999999'
        formattedBalance:
          type: string
          example: '19.9999999999'
          description: The formatted balance of the token.
        name:
          type: object
          example: Ethereum
        symbol:
          type: object
          example: ETH
        logo:
          type: object
          example: https://assets.coingecko.com/coins/images/279/large/ethereum.png
        decimals:
          type: object
          example: '18'
      required:
        - contractAddress
        - balance
        - formattedBalance
        - name
        - symbol
        - logo
        - decimals
    WalletNFTBalanceResponseItem:
      type: object
      properties:
        contractAddress:
          type: string
          example: '0xbdde08bd57e5c9fd563ee7ac61618cb2ecdc0ce0'
        name:
          type: object
          example: CryptoCitizens
        symbol:
          type: object
          example: CITIZEN
        ercType:
          type: object
          example: ERC721
        tokenId:
          type: string
          example: '5000372'
        tokenURI:
          type: object
          example: >-
            http://token.artblocks.io/0xbdde08bd57e5c9fd563ee7ac61618cb2ecdc0ce0/5000372
        amount:
          type: object
          example: '1'
        metadata:
          type: array
          items:
            $ref: '#/components/schemas/NFTMetadata'
        rawMetadata:
          type: string
          example: >-
            {"aspect_ratio":1,"traits":[{"value":"All
            CryptoMexas","trait_type":"CryptoMexa"},{"value":"Body:
            Dark","trait_type":"CryptoMexa"},{"value":"City:
            CDMX","trait_type":"CryptoMexa"},{"value":"Gear:
            Vihuela","trait_type":"CryptoMexa"},{"value":"Bodywear: Charro
            Suit","trait_type":"CryptoMexa"},{"value":"Facewear: Red
            Shades","trait_type":"CryptoMexa"},{"value":"Footwear: Black
            Shoes","trait_type":"CryptoMexa"},{"value":"Headwear: White
            Cap","trait_type":"CryptoMexa"},{"value":"Background: Avenida Álvaro
            Obregón","trait_type":"CryptoMexa"}],"tokenID":"5000372","generator_url":"https://generator.artblocks.io/0xbdde08bd57e5c9fd563ee7ac61618cb2ecdc0ce0/5000372","artist":"Qian
            Qian","description":"CryptoMexas are the sixth edition in the
            CryptoCitizens collection, an ongoing generative portrait series
            based on real people from communities around the world. Holders of
            CryptoCitizens are members of the Bright Moments
            DAO.","preview_asset_url":"https://media-proxy.artblocks.io/0xbdde08bd57e5c9fd563ee7ac61618cb2ecdc0ce0/5000372.png","platform":"CryptoCitizens","features":{"Background":"Avenida
            Álvaro Obregón","Bodywear":"Charro Suit","Footwear":"Black
            Shoes","Headwear":"White Cap","Facewear":"Red
            Shades","City":"CDMX","Body":"Dark","Gear":"Vihuela"},"external_url":"","payout_address":"0xe79e97c3e7990672c3d45c46714ef748dd0ea7df","token_hash":"0xc290d582815ba978115cc3bfdd547bf39e11f548f6e72a8461166c29eaeed7e3","project_id":"5","is_static":false,"primary_asset_url":"https://generator.artblocks.io/0xbdde08bd57e5c9fd563ee7ac61618cb2ecdc0ce0/5000372","image":"https://media-proxy.artblocks.io/0xbdde08bd57e5c9fd563ee7ac61618cb2ecdc0ce0/5000372.png","animation_url":"https://generator.artblocks.io/0xbdde08bd57e5c9fd563ee7ac61618cb2ecdc0ce0/5000372","website":"https://brightmoments.io","royaltyInfo":{"additionalPayeePercentage":50,"artistAddress":"0xb96e81f80b3aeef65cb6d0e280b15fd5dbe71937","additionalPayee":"0x8fcc2dc884ed69b12d31c11363f2ff532bfec350","royaltyFeeByID":5},"license":"NIFTY","engine_type":"fullyonchain","series":"N/A","name":"CryptoMexa
            #372","minted":true,"script_type":"tone@14.8.15","collection_name":"CryptoMexa
            by Qian Qian"}
        cachedImage:
          type: object
          example: >-
            https://cdn.simplehash.com/assets/383ae90349efc3f992d7e23ac35c7d8f8e09362f14acb9750192e92fcbde323f.png
        updateAuthorityAddress:
          type: string
          example: H6CMJqjhnm9ia7Cg2jBYF6fWSQsqXuwEJd3xbjt5NxKg
        associatedTokenAddress:
          type: string
          example: FxWDVLKBbh2krxwXQsMsCpGDqRLQZxJJT5WwWvnHqPFw
      required:
        - contractAddress
        - name
        - symbol
        - ercType
        - tokenId
        - tokenURI
        - amount
        - metadata
        - rawMetadata
        - cachedImage
        - updateAuthorityAddress
        - associatedTokenAddress
    NFTMetadata:
      type: object
      properties:
        name:
          type: string
          example: 'CyrptoMexa #372'
        description:
          type: string
          example: >-
            CryptoMexas are the sixth edition in the CryptoCitizens collection,
            an ongoing generative portrait series based on real people from
            communities around the world. Holders of CryptoCitizens are members
            of the Bright Moments DAO.
        image:
          type: string
          example: >-
            https://media-proxy.artblocks.io/0xbdde08bd57e5c9fd563ee7ac61618cb2ecdc0ce0/5000372.png
        traits:
          example: |-
            [
                      {
                        "value": "All CryptoMexas",
                        "trait_type": "CryptoMexa"
                      },
                      {
                        "value": "Body: Dark",
                        "trait_type": "CryptoMexa"
                      },
                      {
                        "value": "City: CDMX",
                        "trait_type": "CryptoMexa"
                      },
                      {
                        "value": "Gear: Vihuela",
                        "trait_type": "CryptoMexa"
                      },
                      {
                        "value": "Bodywear: Charro Suit",
                        "trait_type": "CryptoMexa"
                      },
                      {
                        "value": "Facewear: Red Shades",
                        "trait_type": "CryptoMexa"
                      },
                      {
                        "value": "Footwear: Black Shoes",
                        "trait_type": "CryptoMexa"
                      },
                      {
                        "value": "Headwear: White Cap",
                        "trait_type": "CryptoMexa"
                      },
                      {
                        "value": "Background: Avenida Álvaro Obregón",
                        "trait_type": "CryptoMexa"
                      }
                    ]
          type: array
          items:
            type: string
      required:
        - name
        - description
        - image
        - traits
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````